diff --git a/bin/dunedoxynize b/bin/dunedoxynize
index 4cf2b7384ea9cbcd0373cf0c7637ef6af3d8a2c8..4bf8b83fe00e5fb6c18b79c8b1047ef63bc4eeea 100755
--- a/bin/dunedoxynize
+++ b/bin/dunedoxynize
@@ -162,7 +162,7 @@ if [ $# -gt 0 ]; then
 fi
 
 # make sure that there is at least one Doxylocal file
-if ! ( test_doxylocal "${@:-.}" || [ $# -eq 0 ] ); then
+if ! test_doxylocal "${@:-.}" && [ $# -gt 0 ]; then
   echo "Error: you didn't supply any valid Doxylocal file"
   exit 1
 fi